option add *textBackground GhostWhite widgetDefault

dialogshell .dblogin \
	-title "Database Login" -modality application

.dblogin add New -text New \
	-command {.dblogin deactivate new}
.dblogin add Open -text Open \
	-command {.dblogin deactivate open}
.dblogin add Exit -text Exit \
	-command {.dblogin deactivate exit}

.dblogin default New

set childsite [.dblogin childsite]

entryfield $childsite.name \
	-labeltext Name:
pack $childsite.name -fill x
entryfield $childsite.password \
	-labeltext Password: -show \267
pack $childsite.password -fill x
entryfield $childsite.database \
	-labeltext Database:
pack $childsite.database -fill x

Labeledwidget::alignlabels $childsite.name \
	$childsite.password $childsite.database

if {[set logintype [.dblogin activate]] != "exit"} {
    switch $logintype {
	new {
	    # Open new database
	}
	open {
	    # Open existing database
	}
    }
}
