option add *textBackground white

entryfield .name -labeltext Name:
entryfield .address -labeltext Address:
entryfield .citystate -labeltext "City, State:"
entryfield .phone -labeltext Phone: \
    -width 12 -fixed 12 \
    -validate {validate_number %P}

Labeledwidget::alignlabels \
    .name .address .citystate .phone

pack .name -fill x
pack .address -fill x
pack .citystate -fill x
pack .phone -fill x

proc validate_number {number} {
    return [regexp {^[-0-9]*$} $number]
}