#!/elm/tools/bin/dscwish -f

wm title . "Other EntryField"

lappend auto_path ../iwidgets

proc RegExpValidate {inputChar} {
    return [regexp {[A-Z_]} $inputChar]
}

EntryField .other -type other -validate RegExpValidate \
	-labelon yes -labeltext Other:
pack .other -padx 10 -pady 10

MessageDialog .err -bitmap error -disphelp no -dispcancel no \
	-message "{Invalid Input}" -modality application

proc InvInputProc {} {
    .err activate
    return
}

.other configure -invalid InvInputProc