option add *textBackground "GhostWhite"

cd xbm

selectiondialog .icons -title "Icon Selector" \
	-itemslabel Icons -itemscommand SelectProc \
	-selectionon no -items [exec ls]
.icons hide Help
.icons hide Apply

set cs [.icons childsite]
pack $cs -fill x

canvas $cs.canvas -height 70 -relief raised -borderwidth 2
pack $cs.canvas -fill x -expand yes

proc SelectProc {} {
    global cs

    .icons selectitem

    $cs.canvas delete all
    $cs.canvas create bitmap [expr [winfo width $cs.canvas] / 2] \
	    [expr [winfo height $cs.canvas] / 2] -bitmap @[.icons get]
}

.icons activate     