wm title . Tabnotebook

option add *background #d9d9d9
option add *textBackground GhostWhite

tabnotebook .tn -tabpos n -angle 15\
	-width 400 -height 200 

.tn add -label "Bank"
.tn add -label "Credit"
.tn add -label "Other"
.tn add -label "Invest"

scrolledlistbox [.tn childsite "Bank"].bank \
	-hscrollmode none -items {"Joint Checking" "Savings"}
pack [.tn childsite "Bank"].bank -fill both -expand yes \
	-padx 10 -pady 10

scrolledlistbox [.tn childsite "Credit"].credit \
	-hscrollmode none -items {"Visa" "Mastercard" "American Express"}
pack [.tn childsite "Credit"].credit -fill both -expand yes \
	-padx 10 -pady 10

scrolledlistbox [.tn childsite "Other"].other \
	-hscrollmode none 
pack [.tn childsite "Other"].other -fill both -expand yes \
	-padx 10 -pady 10

scrolledlistbox [.tn childsite "Invest"].invest \
	-hscrollmode none -items {"Stocks" "Bonds"}
pack [.tn childsite "Invest"].invest -fill both -expand yes \
	-padx 10 -pady 10

pack .tn -fill both -expand yes -padx 10 -pady 10
 
.tn select 0

