option add *textBackground GhostWhite

set months {January February March April \
            May June July August September \
            October November December}

proc spinMonth {direction} {
    global months

    set index [expr [lsearch $months [.sm get]] \
               + $direction]

    if {$index < 0} {set index 11}
    if {$index > 11} {set index 0}

    .sm delete 0 end
    .sm insert 0 [lindex $months $index]
}

spinner .sm -labeltext "Month : " \
    -fixed 10 -validate {return 0} \
    -decrement {spinMonth -1} \
    -increment {spinMonth 1}
.sm insert 0 January

pack .sm -padx 10 -pady 10